package com.ruoyi.system.mapper;

import com.ruoyi.system.domain.loan.ShareholderFj;

import java.util.List;


/**
 * 全体股东附件Mapper接口
 * 
 * @author boman
 * @date 2024-04-24
 */
public interface ShareholderFjMapper 
{
    /**
     * 查询全体股东附件
     * 
     * @param shareholderFjId 全体股东附件主键
     * @return 全体股东附件
     */
    public ShareholderFj selectShareholderFjByShareholderFjId(Long shareholderFjId);

    /**
     * 查询全体股东附件列表
     * 
     * @param shareholderFj 全体股东附件
     * @return 全体股东附件集合
     */
    public List<ShareholderFj> selectShareholderFjList(ShareholderFj shareholderFj);

    /**
     * 根据贷款申请id查询全体股东附件列表
     * @param loanApplicationId
     * @return
     */
    public List<ShareholderFj> selectShareholderFjLoanApplicationId(Long loanApplicationId);

    /**
     * 新增全体股东附件
     * 
     * @param shareholderFj 全体股东附件
     * @return 结果
     */
    public int insertShareholderFj(ShareholderFj shareholderFj);
    /**
     * 批量新增全体股东附件
     *
     * @param shareholderFjs 全体股东附件
     * @return 结果
     */
    public int batchShareholderFj(List<ShareholderFj> shareholderFjs);

    /**
     * 修改全体股东附件
     * 
     * @param shareholderFj 全体股东附件
     * @return 结果
     */
    public int updateShareholderFj(ShareholderFj shareholderFj);

    /**
     * 删除全体股东附件
     * 
     * @param shareholderFjId 全体股东附件主键
     * @return 结果
     */
    public int deleteShareholderFjByShareholderFjId(Long shareholderFjId);

    /**
     * 批量删除全体股东附件
     * 
     * @param shareholderFjIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteShareholderFjByShareholderFjIds(Long[] shareholderFjIds);

    /**
     * 根据贷款申请删除所有附件
     * @param LoanApplicationId
     * @return
     */
    public int deleteShareholderFjByLoanApplicationId(Long LoanApplicationId);
}
